Bug 1079753 (perl-LWP-Protocol-connect) - Review Request: perl-LWP-Protocol-connect - Provides HTTP/CONNECT proxy support for LWP::UserAgent
Summary: Review Request: perl-LWP-Protocol-connect - Provides HTTP/CONNECT proxy suppo...
Keywords:
Status: CLOSED RAWHIDE
Alias: perl-LWP-Protocol-connect
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: naemon
TreeView+ depends on / blocked
 
Reported: 2014-03-23 17:51 UTC by Sven Nierlein
Modified: 2014-05-07 13:02 UTC (History)
2 users (show)

Fixed In Version: 6.06-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-07 13:02:05 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sven Nierlein 2014-03-23 17:51:38 UTC
Spec URL: http://nierlein.com/fedora/perl-LWP-Protocol-connect.spec
SRPM URL: http://nierlein.com/fedora/perl-LWP-Protocol-connect-6.06-1.fc21.src.rpm
Description:
LWP::Protocol::connect Provides HTTP/CONNECT proxy support for LWP::UserAgent.

Fedora Account System Username: sni

Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6665610

This is my first review request, so i am asking hereby for a sponsor. 

This perl module is required to proceed in #1069988
Related review requests: #1079718, #1079732, #1079733, #1079745, #1079749, #1079751

Comment 1 Petr Šabata 2014-03-28 20:27:37 UTC
Since this isn't going to old EPELs (judging by the other reviews), you may remove the line 35.

Line 40 is also generally unneeded.

Package the CHANGES and README files in %doc.

You don't need to BR perl(Test::Exception) as you don't run the author tests.

You should BR perl.

You may use the usually preferred DESTDIR in place of PERL_INSTALL_ROOT.  EE::MM knows this.

"Provides" in your description should begin with a lowercase "p".

Comment 2 Sven Nierlein 2014-04-06 09:36:58 UTC
Spec file has been updated, new Spec and Source RPM have been place here:
http://nierlein.com/fedora/2014-04-06/perl-LWP-Protocol-connect.spec
http://nierlein.com/fedora/2014-04-06/perl-LWP-Protocol-connect-6.06-1.fc21.noarch.rpm

Comment 4 Petr Šabata 2014-04-08 13:33:20 UTC
Ok, this looks good.  Approving.

I've also sponsored you for the Packager group.  Welcome to Fedora :)

Comment 5 Sven Nierlein 2014-04-11 14:54:44 UTC
Thats good news. Thank you very much.

Comment 6 Petr Šabata 2014-04-15 12:08:54 UTC
You may now submit an SCM request here.
https://fedoraproject.org/wiki/Package_SCM_admin_requests

Please, add `perl-sig' to InitialCC when requesting branches for perl packages.

Comment 7 Sven Nierlein 2014-04-21 12:59:08 UTC
New Package SCM Request
=======================
Package Name: perl-LWP-Protocol-connect
Short Description: Provides HTTP/CONNECT proxy support for LWP::UserAgent
Owners: sni
Branches: f21
InitialCC: perl-sig

Comment 8 Gwyn Ciesla 2014-04-21 16:25:07 UTC
Git done (by process-git-requests).

Comment 9 Petr Šabata 2014-04-29 16:38:53 UTC
Have you built the package, Sven?

Comment 10 Sven Nierlein 2014-05-02 14:50:47 UTC
Not yet, sorry, i was busy and on vacation. I will take care soon.

Comment 11 Sven Nierlein 2014-05-06 17:14:31 UTC
alright, sorry for the delay. Everything should be in place now.

Comment 12 Petr Šabata 2014-05-07 11:49:12 UTC
Ok, looks good.
You can now close the review with CLOSED/RAWHIDE; also, please, put the package NEVR in the `Fixed in' field, too.

Comment 13 Sven Nierlein 2014-05-07 13:02:39 UTC
Thanks for your work.


Note You need to log in before you can comment on or make changes to this bug.